package cz.frantovo.springDemo1.web;

import cz.frantovo.springDemo1.KnihaDAORemote;
import cz.frantovo.springDemo1.dao.KnihaDAO;
import cz.frantovo.springDemo1.dto.Kniha;
import java.util.Collection;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.naming.Context;
import javax.naming.InitialContext;
import javax.naming.NamingException;

/**
 *
 * @author fiki
 */
public class SpringDemo1Bean {

    private static final Logger log = Logger.getLogger(SpringDemo1Bean.class.getSimpleName());
    private KnihaDAORemote knihaDAO;

    public Collection<Kniha> getKnihy() {
	return lookupCilDAO().getKnihy();
    }

    private KnihaDAORemote lookupCilDAO() {
        if (knihaDAO == null) {
            try {
                Context c = new InitialContext();
                knihaDAO = (KnihaDAORemote) c.lookup("cz.frantovo.springDemo1.KnihaDAORemote");
            } catch (NamingException e) {
                log.log(Level.SEVERE, "Chyba při hledání CilDAO", e);
                throw new RuntimeException(e);
            }
        }
        return knihaDAO;
    }

}
